import request from '@/utils/request'

// 登录方法
export function login(username, password, code, uuid) {
  const data = {
    username,
    password,
    code,
    uuid
  }
  return request({
    'url': '/user/login',
    headers: {
      isToken: false
    },
    'method': 'post',
    'data': data
  })
}
// 登录方法
export function wxlogin(phoneCode, loginCode) {
  const data = {
    phoneCode,
    loginCode,
  }
  return request({
    'url': '/user/wxlogin',
    headers: {
      isToken: false
    },
    'method': 'post',
    'data': data
  })
}
// 注册方法
export function register(data) {
  return request({
    url: '/user/register',
    headers: {
      isToken: false
    },
    method: 'post',
    data: data
  })
}

// 获取用户详细信息
export function getInfo() {
  return request({
    'url': '/user/getInfo',
    'method': 'get'
  })
}

// 退出方法
export function logout() {
  return request({
    'url': '/logout',
    'method': 'post'
  })
}

// 获取验证码
export function getCodeImg() {
  return request({
    'url': '/user/captchaImage',
    headers: {
      isToken: false
    },
    method: 'get',
    timeout: 20000
  })
}
